using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Newtonsoft.Json;

namespace Com.FirmLib.Entity
{
    /// <summary>
    /// 项目信息
    /// </summary>
    public class ProjectItem
    {
        /// <summary>
        /// 项目Id
        /// </summary>
        [JsonProperty("projectId")]
        public string Id { get; set; }
        /// <summary>
        /// 项目名称
        /// </summary>
        [JsonProperty("projectLocalName")]
        public string Name { get; set; }
        /// <summary>
        /// 项目编号
        /// </summary>
        [JsonProperty("projectNo")]
        public string ProjectNo { get; set; }

        /// <summary>
        /// 关联资产
        /// </summary>
        [JsonProperty("AssetCount")]
        public string RefAssetCount { get; set; }
        /// <summary>
        /// 关联合同   
        /// </summary>
        [JsonProperty("contractCount")]
        public int ContractCount { get; set; }
        /// <summary>
        /// 关联资产   
        /// </summary>
        [JsonProperty("totalCount")]
        public int TotalCount { get; set; }
        /// <summary>
        /// 即将超出维保时间的资产   
        /// </summary>
        [JsonProperty("nearlyExpireCount")]
        public int NearlyExpireCount { get; set; }
    }
}
